import { Component, NgModule, OnInit } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { IonContent, IonHeader, IonTitle, IonToolbar } from '@ionic/angular/standalone';
import { IonItem } from '@ionic/angular/standalone';
import { IonList } from '@ionic/angular/standalone';
import { IonSearchbar } from '@ionic/angular/standalone';
@Component({
  selector: 'app-yiyun',
  templateUrl: './yiyun.page.html',
  styleUrls: ['./yiyun.page.scss'],
  standalone: true,
  imports: [IonContent, IonHeader, IonTitle, IonToolbar, CommonModule, FormsModule,IonItem,IonList,IonSearchbar]
})

export class YiyunPage implements OnInit {

  constructor() { }

  ngOnInit() {
  }
  items: string[] = [
    'Apple',
    'Banana',
    'Cherry',
    'Date',
    'Elderberry',
    'Fig',
    'Grape',
    'Honeydew',
    'Kiwi',
    'Lemon'
  ];
 
  filteredItems: string[] = [...this.items];
 
 
  onSearchInput(event: CustomEvent<any>) {
    const searchValue = event.detail.value.toLowerCase();
    if (!searchValue) {
      this.filteredItems = [...this.items];
    } else {
      this.filteredItems = this.items.filter(item =>
        item.toLowerCase().includes(searchValue)
      );
    }
  }
}
